<?php

use think\facade\Route;

/**
 * 行业 相关路由
 */
Route::group('industry', function () {
    Route::get('list', 'merchant.Industry/get_list')->name('get_list');//获取行业列表
    Route::get('tree/:type', 'merchant.Industry/tree_list');//行业树形列表
    Route::post('show/:id/:is_show', 'merchant.Industry/set_show')->name('set_show');//设置显示/隐藏
    Route::post('set/:id', 'merchant.Industry/set_industry')->name('set_industry');//快速编辑某字段
    Route::get('create', 'merchant.Industry/create')->name('create_industry');//新增表单
    Route::get('edit/:id', 'merchant.Industry/edit')->name('edit_industry');//编辑表单
    Route::post('add/:id', 'merchant.Industry/add_industry')->name('add_industry');//添加/编辑行业
    Route::get('get/:id', 'merchant.Industry/get_industry')->name('get_industry');//获取行业
    Route::delete('del/:id', 'merchant.Industry/delete')->name('delete');//删除行业
})->middleware([
    \app\http\middleware\AllowOriginMiddleware::class,
    \app\badminapi\middleware\BadminAuthTokenMiddleware::class,
    \app\badminapi\middleware\BadminCkeckRole::class
]);